### Method

# Fwupd Client get_user_agent

since: 1.5.2

#### Declaration [src]

    const gchar*
    fwupd_client_get_user_agent (
      FwupdClient* self
    )

#### Description [src]

Gets the string that represents the user agent that is used for uploading and downloading. The user agent will contain the runtime version of fwupd somewhere in the provided string.

Available since: 1.5.2

#### Return value

Type: `const gchar*`

A string, or `NULL` for unknown.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.